<?
////////////////////////////////////////////////////////////// Подвезать Базу ......
$sver_db="localhost"; /////////////// Баззы обычно localhost
$login_db=""; /////////////// Логин к базе
$pass_db=""; /////////////// Пароль к базе
$name_db=""; /////////////// Имя базы
/////////////////////////////////////////////////////////////////////////////////////////

#-----------------------------------------------------#
#          ********* Бизнес Сайты *********           #
#             Made by   :  BIZON                      #
#               E-mail  :  blin.alex@bk.ru            #
#                 Site  :  http://f913218p.bget.ru    #
#  Вы не имеете право вносить изменения в код скрипта #
#      это может повлечь неработоспособность сайта    #
#-----------------------------------------------------#
@error_reporting(E_ALL ^ E_NOTICE);
@ini_set('display_errors', false);
@ini_set('html_errors', false);
@ini_set('error_reporting', E_ALL ^ E_NOTICE);
@ini_set('url_rewriter.tags','');
@ini_set('session.use_trans_sid', 1);
@set_magic_quotes_runtime(0);
session_name('SID');
session_start();
define('BIZ_SAIT', '1.01');
$string = "";
for ($i = 0; $i < 4; $i++) // Здесь задается количество символов на картинке
$string .= chr(rand(97, 122)); // вывод случайных символов от a до z, по html коду
$_SESSION['rand_code'] = $string;
$starttime = microtime(1);
$ip = $ip_addr = preg_replace('|[^0-9\.]|', '', $_SERVER['REMOTE_ADDR']);
if (version_compare(PHP_VERSION, '5.2.1') < 0) {
    die('<b>Ошибка! Версия PHP должна быть 5.2.1 или выше!</b>');
}
if (get_magic_quotes_gpc()) {
    $in = array(& $_GET, & $_POST, & $_COOKIE);
    while (list($k, $v) = each($in)) {
        foreach ($v as $key => $val) {
            if (!is_array($val)) {
                $in[$k][$key] = stripslashes($val);
                continue;
            }
            $in[] = & $in[$k][$key];
        }
    }
    unset ($in);
}

$step = 5;

if($_SERVER['HTTP_ACCEPT_ENCODING']){
$compress = strtolower($_SERVER['HTTP_ACCEPT_ENCODING']);
} else{
$compress = strtolower($_SERVER['HTTP_TE']);
}
if(substr_count($compress,'deflate'))
{ function compress_output_deflate($output){
global $step;
return gzdeflate($output, $step);
} $method = 'deflate';
header('Content-Encoding: deflate');
ob_start('compress_output_deflate');
ob_implicit_flush(0);
}
elseif(substr_count($compress,'gzip'))
{ function compress_output_gzip($output){
global $step;
return gzencode($output, $step);
} $method = 'gzip';
header('Content-Encoding: gzip');
ob_start('compress_output_gzip');
ob_implicit_flush(0);
}
elseif(substr_count($compress,'x-gzip'))
{ function compress_output_x_gzip($output){
global $step;
$size = strlen($output);
$crc = crc32($output);
$output = gzcompress($output, $step);
$output = substr($output, 0, strlen($output) - 4);
return "\x1f\x8b\x08\x00\x00\x00\x00\x00".$output.pack ('V',$crc).pack('V',$size);
} $method = 'x-gzip';
header('Content-Encoding: x-gzip');
ob_start('compress_output_x_gzip');
ob_implicit_flush(0);
}
function info_compress()
{ global $method, $step;
$contents = ob_get_contents();

$in = strlen($contents);
switch($method){
default:
print 'Сжатие не поддерживается<br/>IN: '.$in;
break;
case 'deflate':
$out = strlen(gzdeflate($contents, $step));
print '<b>Gzip</b> До: <b style="color:#78bbe6">'.round($in/1024,2).'</b> kb После: <b style="color:#78bbe6">'.round($out/1024,2).'</b> kb Сжатие: <b style="color:#78bbe6">'.round(100-(100/($in/$out)),1).'</b> %';
break;
case 'gzip':
$out = strlen(gzencode($contents, $step));
print '<b>Gzip</b> До: <b style="color:#78bbe6">'.round($in/1024,2).'</b> kb После: <b style="color:#78bbe6">'.round($out/1024,2).'</b> kb Сжатие: <b style="color:#78bbe6">'.round(100-(100/($in/$out)),1).'</b> %';
break;
case 'x-gzip':
$out = strlen(gzcompress($contents, $step));
print '<b>Gzip</b> До: <b style="color:#78bbe6">'.round($in/1024,2).'</b> kb После: <b style="color:#78bbe6">'.round($out/1024,2).'</b> kb Сжатие: <b style="color:#78bbe6">'.round(100-(100/($in/$out)),1).'</b> %';
break;
} return;
}
$_SESSION['protect'] = mt_rand(1000,9999);

////////////////////////////////////////////////////////////////////////////////////////////
$br=$_SERVER['HTTP_USER_AGENT'];

############################################################################################
##                            потключение к BD                                            ##
############################################################################################
$db = mysql_connect($sver_db,$login_db,$pass_db);
if (empty($db)) {
    die('<b>База данных неподключина</b>');
 mysql_close($db);
}
mysql_select_db($name_db,$db) or die("Cannot select DB");
mysql_query ("SET CHARACTER SET 'utf8'", $db);
mysql_query ("set character_set_client='utf8'");
mysql_query ("set character_set_results='utf8'");
mysql_query ("set collation_connection='utf8_general_ci'");
mysql_query ("SET NAMES utf8");
############################################################################################
##                            Авторизация на Сайте                                        ##
############################################################################################
if ($_SESSION['log'] != "" && $_SESSION['par'] != "") {
$aza= "SELECT * FROM s_useres WHERE login = '".$_SESSION['log']."' and pass = '".md5($_SESSION['par'])."' ";
$azalog = mysql_query($aza) or die(mysql_error());
$numaz = mysql_num_rows($azalog);
if ($numaz == 0){
unset($_SESSION['log']);
unset($_SESSION['par']);
header ('Location: /?'.SID); exit;
}
}else{$numaz = 0;}
?>